# MCS_TGrq Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_TGrq:

List of all members.

## Public Member Functions

| MCS_TGrq (unsigned tag=29, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_UserId | m_initiator
MCS_TokenId | m_tokenId

## Constructor & Destructor Documentation

MCS_TGrq::MCS_TGrq | ( | unsigned | tag = `29`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_TGrq::GetDataLength | ( |  | ) | const

PBoolean MCS_TGrq::Decode | ( | PASN_Stream & | strm | ) |

void MCS_TGrq::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_TGrq::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_TGrq::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_TGrq::Clone | ( |  | ) | const

## Member Data Documentation

MCS_UserId MCS_TGrq::m_initiator

MCS_TokenId MCS_TGrq::m_tokenId

The documentation for this class was generated from the following file:

- mcs.h